Audit events across every source, newest first
- Scope
- state:admin:audit:list Admin-issued keys only.
Query parameters
| Parameter | Type | Description |
|---|---|---|
| source | string | 1 to 64 characters · matches ^[a-z][a-z0-9-]*(:[a-z0-9-]+)*$ |
| scope | string | up to 256 characters |
| actor | string | up to 256 characters |
| action | string | up to 128 characters |
| target | string | up to 256 characters |
| before | string, date-time | |
| after | string, date-time | |
| cursor | string | |
| limit | integer | 1 to 100 · default 20 |
Query parameters of adminListAuditEvents
- source
- Type
- string
- Description
- 1 to 64 characters · matches ^[a-z][a-z0-9-]*(:[a-z0-9-]+)*$
- scope
- Type
- string
- Description
- up to 256 characters
- actor
- Type
- string
- Description
- up to 256 characters
- action
- Type
- string
- Description
- up to 128 characters
- target
- Type
- string
- Description
- up to 256 characters
- before
- Type
- string, date-time
- Description
- after
- Type
- string, date-time
- Description
- cursor
- Type
- string
- Description
- limit
- Type
- integer
- Description
- 1 to 100 · default 20
Response 200Audit events
| Field | Type | Description |
|---|---|---|
| datarequired | array of AuditEvent | |
| idrequired | string | |
| sourcerequired | string | 1 to 64 characters · matches ^[a-z][a-z0-9-]*(:[a-z0-9-]+)*$ |
| scoperequired | string, or null | |
| actorrequired | string, or null | |
| actionrequired | string | |
| targetrequired | string, or null | |
| metadatarequired | map of any, or null | |
| {key} | any | |
| createdAtrequired | string, date-time | |
| metarequired | object | |
| cursorrequired | string, or null |
Response of adminListAuditEvents
- datarequired
- Type
- array of AuditEvent
- Description
- idrequired
- Type
- string
- Description
- sourcerequired
- Type
- string
- Description
- 1 to 64 characters · matches ^[a-z][a-z0-9-]*(:[a-z0-9-]+)*$
- scoperequired
- Type
- string, or null
- Description
- actorrequired
- Type
- string, or null
- Description
- actionrequired
- Type
- string
- Description
- targetrequired
- Type
- string, or null
- Description
- metadatarequired
- Type
- map of any, or null
- Description
- {key}
- Type
- any
- Description
- createdAtrequired
- Type
- string, date-time
- Description
- metarequired
- Type
- object
- Description
- cursorrequired
- Type
- string, or null
- Description
Example
curl "https://api.rsx.group/state/v1/admin/audit/list" \
-H "Authorization: Bearer rsx_live_..."{
"data": [
{
"id": "0198f2b1-6c2a-7c9e-9d3a-1e2f3a4b5c6d",
"source": "roxy",
"scope": "guild:123456789",
"actor": "user:987654321",
"action": "member.ban",
"target": "user:456789123",
"metadata": {
"reason": "Spam"
},
"createdAt": "2026-09-01T14:30:00.000Z"
}
],
"meta": {
"cursor": "string"
}
}